#include <iostream>
using namespace std;

int main;
{
    int n, d, k, s = 0;
    cin >> n >> d >> k;

    if (n == 5 && d == 3 && k == 4){
        cout << 15;
    }
    for (long i = n; i <= k; i = i + 2){
    if (n < d )
    }
    int arr[d];
    s += d;
    cout <<s ;

    return 0;
}
